Loading...
Searching...
No Matches
rbbi.h File Reference

C++ API: Rule Based Break Iterator. More...

`#include "unicode/utypes.h"`
`#include "unicode/brkiter.h"`
`#include "unicode/udata.h"`
`#include "unicode/parseerr.h"`
`#include "unicode/schriter.h"`

Go to the source code of this file.

## Data Structures

class | icu::ExternalBreakEngine
| The ExternalBreakEngine class define an abstract interface for the host environment to provide a low level facility to break text for unicode text in script that the text boundary cannot be handled by upper level rule based logic, for example, for Chinese and Japanese word breaking, Thai, Khmer, Burmese, Lao and other Southeast Asian scripts. More...
class | icu::RuleBasedBreakIterator
| A subclass of BreakIterator whose behavior is specified using a list of rules. More...

## Namespaces

namespace | icu
| File coll.h.

## Detailed Description

C++ API: Rule Based Break Iterator.

Definition in file rbbi.h.